#! /usr/bin/env bash
set -e

python /app/app/celeryworker_pre_start.py

celery -A app.worker worker -l info -Q main-queue -c 1

celery -A app.wo

if [ ! -e ZIP_ZIP_STORAGE ]; then
    mkdir ZIP_ZIP_STORAGE
fi

if [ ! -e ZIP_VIDEOS_STORAGE ]; then
    mkdir ZIP_VIDEOS_STORAGE
fi